Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576000 - Value too long while updating the database mid partial refresh of openstack
Summary: Value too long while updating the database mid partial refresh of openstack
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: cfme-future
Assignee: Sam Lucidi
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 14:00 UTC by Felix Dewaleyne
Modified: 2018-08-28 13:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-28 13:03:33 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2018-05-08 14:00:02 UTC
Description of problem:
Durring a partial refresh of an openstack provider

Version-Release number of selected component (if applicable):
5.8.3

How reproducible:
all the time (customer env)

Steps to Reproduce:
1. the engine performs a partial refresh of the provider
2.
3.

Actual results:
[----] E, [2018-04-27T03:16:58.853900 #31895:b09140] ERROR -- : MIQ(ManageIQ::Providers::Openstack::CloudManager::Refresher#refresh) EMS: [delta2_overcloud], id: [102000000000005] Refresh failed
[----] E, [2018-04-27T03:16:58.854081 #31895:b09140] ERROR -- : [ActiveRecord::ValueTooLong]: PG::StringDataRightTruncation: ERROR:  value too long for type character varying(2000)
: UPDATE "relationships" SET "ancestry" = $1, "updated_at" = $2 WHERE "relationships"."id" = $3  Method:[rescue in block in refresh]
[----] E, [2018-04-27T03:16:58.854177 #31895:b09140] ERROR -- : /opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:598:in `async_exec'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:598:in `block in exec_no_cache'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:590:in `block in log'
/opt/rh/cfme-gemset/gems/activesupport-5.0.3/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:583:in `log'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:598:in `exec_no_cache'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:587:in `execute_and_clear'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/postgresql/database_statements.rb:116:in `exec_delete'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:133:in `update'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/connection_adapters/abstract/query_cache.rb:17:in `update'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/relation.rb:89:in `_update_record'
/opt/rh/cfme-gemset/gems/activerecord-5.0.3/lib/active_record/persistence.rb:559:in `_update_record'

Expected results:
the update passes

Additional info:
there are also memory issues with the refresh worker in the environment.


Note You need to log in before you can comment on or make changes to this bug.